Subject: Re: bug#7822: 24.0.50; `fit-window-to-buffer': take display artefacts into account

From: martin rudalics <[email-masked]>
Date: Mon, 22 Sep 2014 19:42:57 +0200

> But is this enhancement request really fulfilled?  The paragraph
 > after the intro one that you quote from the ER specifically
 > states the requirement:
 >
 >    How much it tries to do so should be under programmer
 >    control, so that, e.g., one could tell it (e.g. via a new
 >    optional parameter) not to take any display stuff into account
 >    (i.e., to treat the buffer content as just plain text with a
 >    fixed-width font of the current char size).
 >
 > And the ER explicitly refers to this emacs-devel thread for
 > details: "`fit-window-to-buffer-as-displayed'?", 2011-01-10:
 > http://lists.gnu.org/archive/html/emacs-devel/2011-01/msg00323.html

The current behavior is, in fact, based on Stefan's remark that

   There's no point trying to add support for some properties but not all:
   adding support for all properties is likely to be easier because it'd
   rely on (re)using the existing display code.

in that thread.

 > And of course, how users can control the behavior needs to be
 > well documented.
 >
 > Is this ER really addressed?  I don't have a Windows binary
 > more recent than 2014-08-15 to test (they are no longer being
 > built, it seems).

The changes are from 2013 so the binaries you have should include them.

 > If so, then yes this should be closed.
 >
 > If not then it should not be closed, even if it is good that
 > some progress has apparently been made.  Thanks.

If you can give a practical example where the present code fails to do
what you want, feel free to reopen the bug.

Thanks, martin